-- Normalerweise wuerde man die Tabelle wie folgt loeschen:
-- DROP TABLE Autor;

-- Dies funktioniert aber nicht, da ein Primaerschluesselattribut
-- dieser Relation durch einen Fremdschluessel in BuchAutor
-- referenziert wird.
--
-- Folgende Anfrage dagegen hat Erfolg:
DROP TABLE Autor CASCADE;

-- Dabei ist aber zu beachten, dass durch obigen Befehl
-- nicht das Attribut ID aus BuchAutor oder gar die ganze
-- Tabelle BuchAutor geloescht wird, sondern BuchAutor.ID
-- einfach kein Fremdschluessel mehr ist, sondern ein normales
-- Attribut. Es wird also nur der Constraint FOREIGN KEY auf
-- BuchAutor.ID geloescht.
