-- Finden Sie die IDs aller Leser, die aus der Informatik-Bibliothek 
-- Exemplare geliehen haben, jedoch nicht aus der Mathematik-Bibliothek.

SELECT Leser 
FROM Exemplar
WHERE Bibliothek ='Informatik'
AND NOT Leser IN 
    (SELECT Leser 
     FROM Exemplar 
     WHERE Bibliothek='Mathematik'
     AND Leser IS NOT NULL);

-- Hinweis: Die Klausel "Leser IS NOT NULL" ist notwendig, damit in der
-- verschachtelten Anfrage keine Nullwerte auftauchen.
-- Beispielsweise liefert die Frage, ob der Leser mit der ID "2" in der
-- Tabelle 
-- 
-- Leser
-- 
--     1
--  NULL
--     3
-- 
-- NICHT enthalten ist, ein negatives Ergebnis. Das ist offensichtlich
-- falsch, da der Leser "2" tatsaechlich nicht darin vorkommt. Der in
-- der Tabelle enthaltene NULL-Wert verfaelscht das Ergebnis aber, so dass
-- man ihn vorher eliminieren muss. Dieses Beispiel zeigt, dass NULL-Werte
-- schwer auffindbare Fehler produzieren koennen und daher vermieden werden
-- sollten.
