-- Geben Sie fuer jeden Leser, der wenigstens ein Exemplar ausgeliehen hat,
-- den Nachnamen und die Anzahl aller ausgeliehenen Buecher an. Verwenden
-- Sie dazu eine verschachtelte Anfrag im FROM Teil (Achtung: Diese Art der
-- Verschachtelung erlauben einige DBMSs nicht!).

SELECT L.Nachname, Anzahl
FROM Leser L,
     (SELECT L.ID AS ID, COUNT(E.ISBN) AS Anzahl
      FROM Exemplar E, Leser L
      WHERE E.Leser = L.ID
      GROUP BY L.ID) Temp
WHERE L.ID = Temp.ID;

-- Hinweis: Die Verschachtelte Anfrage entspricht der aus der vorherigen Aufgabe.
-- Die daraus entstehende Tabelle enthaelt die IDs und die Anzahl der ausgeliehenen
-- Buecher pro ID. Die Tabelle und ihre Attribute erhalten jeweils ein Alias, damit
-- sie von ausserhalb leicht referenziert werden koennen.
-- Erlaubt eine Datenbank keine Verschachtelung, kann man zunaechst eine temporaere
-- Tabelle anlegen und dann in der Anfrage diese verwenden.